Change Log
2026-10-15
- Updated VIP Loan rate limits (already in effect). All limits are per account:
POST /sapi/v1/loan/vip/borrow: 1 request per second.POST /sapi/v1/loan/vip/repay: 1 request per second.GET /sapi/v1/loan/vip/repay/history: 1 request per second, shared with repayment history queries on the Binance website.GET /sapi/v1/loan/vip/interestRateHistory: 1 request per second.GET /sapi/v1/loan/vip/request/data: changed from 5 to 1 request per second.GET /sapi/v1/loan/vip/request/interestRate: changed from 5 to 1 request per second.
2026-10-08
- Updated
GET /sapi/v1/loan/vip/repay/history:- Added
repayPrincipalandrepayInterestfields to the response to provide principal/interest breakdown per repayment record.
- Added
2026-10-07
- VIP Loan now supports Simple Earn Flexible assets as collateral:
POST /sapi/v1/loan/vip/borrowandPOST /sapi/v1/loan/vip/fixed/borrow-collateralCoinaccepts<ASSET>-Earn(e.g.USDT-Earn), which must be sent together with its Spot asset (e.g.USDT,USDT-Earn). Sending<ASSET>-Earnwithout its Spot asset returns-10213.GET /sapi/v1/loan/vip/ongoing/ordersandGET /sapi/v1/loan/vip/request/data-collateralCoinin the response may include<ASSET>-Earnentries.
2026-06-15
- New endpoints for VIP Loans:
GET /sapi/v1/loan/vip/fixed/market- Query VIP Loan Fixed Rate Market.POST /sapi/v1/loan/vip/fixed/borrow- VIP Loan Fixed Rate Borrow.
2025-12-26
Time-sensitive Notice
- The following change to REST API will occur at approximately 2026-01-15 07:00 UTC: When
calling endpoints that require signatures, percent-encode payloads before computing signatures.
Requests that do not follow this order will be rejected with
-1022 INVALID_SIGNATURE. Please review and update your signing logic accordingly.
REST API
- Updated documentation for REST API regarding Signed Endpoints examples for placing an order.
2024-11-27
- New endpoints for VIP Loans
GET /sapi/v1/loan/vip/interestRateHistory: Check VIP Loan Interest Rate HistoryGET /sapi/v1/loan/vip/accruedInterest: Check VIP Loan interest record
2023-10-11
- New endpoint for VIP Loans:
GET /sapi/v1/loan/vip/request/interestRate: Get Borrow Interest Rate
2023-09-22
- Changes to VIP loan Endpoint:
GET /sapi/v1/loan/vip/loanable/data: add new response fields_flexibleDailyInterestRate,_flexibleYearlyInterestRateGET /sapi/v1/loan/vip/ongoing/orders: add new response fieldsloanDate,loanRate,loanTerm,expirationTime
2023-09-18
- Changes to Margin Endpoint
GET /sapi/v1/margin/isolated/transfer:- Add request field
type - Delete request field
transFrom,transTo
- Add request field
2023-08-18
- Update endpoints for VIP Loan:
POST /sapi/v1/loan/vip/borrow: add fieldisFlexibleRateto borrow using flexible rate loan
2023-07-14
- New endpoints for VIP Loan:
POST /sapi/v1/loan/vip/renew: VIP Loan Renew
2023-04-20
- Update endpoints for VIP Loans:
GET /sapi/v1/loan/vip/ongoing/orders: add fieldstotalCollateralValueAfterHaircutandlockedCollateralValue
2022-11-29
- New endpoint for VIP Loan:
GET /sapi/v1/loan/vip/collateral/account: Check Locked Value of VIP Collateral Account
2022-11-14
- New endpoints for VIP Loan:
GET /sapi/v1/loan/vip/ongoing/orders: Get VIP Loan Ongoing OrdersPOST /sapi/v1/loan/vip/repay: VIP Loan RepayGET /sapi/v1/loan/vip/repay/history: Get VIP Loan Repayment History
Was this page helpful?
Last modified on